﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Events;

public class GroundCheck : MonoBehaviour {
    
	[SerializeField] Transform areaUp;
	[SerializeField] Transform areaDown;

	[SerializeField] float killChanceCount = 0.2f;

	public bool groundKill = true;
	public bool airKill = true;
	public bool leftRightKill = true;

	public bool groundStop = true;
    public bool airStop = true;
    public bool leftRightStop = true;


	private float counter = 2;
	private float _counter = 0;

	public UnityEvent OnGroundKill;
		
	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () 
	{


		_counter--;
		if (_counter <=0){
			_counter = counter;
			CountedUpdate();
		}
        

	}

	void CountedUpdate()
	{
		float seed = Random.Range(0f, 1f);

		if (seed < killChanceCount)
        {
            if (transform.position.y <= areaDown.position.y)
            {
                if (groundKill)
                {
                    Destroy(gameObject);
                }
                else
                {
                    OnGroundKill.Invoke();
                }
            }
        }

		if (airKill && seed < killChanceCount)
		{
			if (transform.position.y >= areaUp.position.y) { Destroy(gameObject); }

		}
        
		if (leftRightKill & seed < killChanceCount)
        {
			if (transform.position.x >= areaUp.position.x || transform.position.x <= areaDown.position.x) { Destroy(gameObject); }

        }

	}
}
