﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class NestControl : MonoBehaviour {

	[SerializeField] Transform PickupCollider;
    [SerializeField] private LayerMask WhatToPick;
    const float PickRadius = 1.5f; // Radius of the overlap circle to determine if grounded


	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}

	private void FixedUpdate()
    {
        Collider2D[] colliders = Physics2D.OverlapCircleAll(PickupCollider.position, PickRadius, WhatToPick);
        for (int i = 0; i < colliders.Length; i++)
        {
			if (colliders[i].gameObject.GetComponent<WoodControl>())
			{
				Destroy(colliders[i].gameObject);
                colliders[i].gameObject.SetActive(false);
				Main.Instance.GetWood();
			}
        }
    }

}
