using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerMovementTwo : MonoBehaviour {

	public CharacterController2D controller;
	public Animator animator;

	public float runSpeed = 40f;

	float horizontalMove = 0f;

	float vMove = 0f;
	bool jump = false;
	bool crouch = false;

	// Update is called once per frame
	void Update () {

		horizontalMove = Input.GetAxisRaw("HorizontalTwo") * runSpeed;
		vMove = Input.GetAxisRaw("VerticalTwo") * runSpeed;

		animator.SetFloat("Speed", Mathf.Abs(horizontalMove));

		//if (Input.GetButtonDown("Jump"))
		//{
		//	jump = true;
		//	animator.SetBool("IsJumping", true);
		//}

		//if (Input.GetButtonDown("Crouch"))
		//{
		//	crouch = true;
		//} else if (Input.GetButtonUp("Crouch"))
		//{
		//	crouch = false;
		//}

	}

	public void OnLanding ()
	{
		animator.SetBool("IsJumping", false);
	}

	public void OnCrouching (bool isCrouching)
	{
		animator.SetBool("IsCrouching", isCrouching);
	}

	void FixedUpdate ()
	{
		// Move our character
		controller.Move(new Vector2(horizontalMove * Time.fixedDeltaTime, vMove * Time.fixedDeltaTime), crouch, jump);
		jump = false;
	}
}
