using UnityEngine;
using UnityEngine.UI;

public class TimeManager : Singleton<TimeManager> {

	public float slowdownFactor = 0.05f;
	public float slowdownLength = 2f;

	void Update ()
	{

		if (Input.GetKeyDown(KeyCode.T)) { DoSlowmotion();  }

		Time.timeScale += (1f / slowdownLength) * Time.unscaledDeltaTime;
		Time.timeScale = Mathf.Clamp(Time.timeScale, 0.1f, 1f);

		Time.fixedDeltaTime = Time.timeScale * .02f;
	}

	public void DoSlowmotion ()
	{
		Time.timeScale = slowdownFactor;
		Time.fixedDeltaTime = Time.timeScale * .02f;
	}

}
