﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WoodControl : MonoBehaviour {
	public bool IsOnBird = false;
	public Transform myBird;

	private Vector3 offset = new Vector3(0.7f , 0.6f, 0f);
	private Vector3 now = Vector3.zero;
	float cycle = 0.8f;

	public float timer = 0;
    
	// Use this for initialization
	void Start () {
		timer = Time.time;
		offset = new Vector3(-0.5f, -0.4f, 0f);
	}

	// Upda(te is called once per frame
	void Update () {
		if (IsOnBird) 
		{
			now = new Vector3 ( offset.x * (Mathf.PingPong(( timer - Time.time) /cycle , 1f)) , 
			                   offset.y * (Mathf.PingPong((timer - Time.time +0.5f) / cycle, 1f)) ,
			                  0);

			now += offset;

			this.transform.localPosition = now;
			transform.up =  - myBird.position + transform.position;
		}
	}
}
